curl --request POST \
--url https://{region}.affinda.com/v3/validation_results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"annotations": [
1,
2,
3
],
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>",
"passed": true
}
EOFimport requests
url = "https://{region}.affinda.com/v3/validation_results"
payload = {
"annotations": [1, 2, 3],
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>",
"passed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: [1, 2, 3],
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>',
passed: true
})
};
fetch('https://{region}.affinda.com/v3/validation_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Create a validation result
Create a validation result.
curl --request POST \
--url https://{region}.affinda.com/v3/validation_results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"annotations": [
1,
2,
3
],
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>",
"passed": true
}
EOFimport requests
url = "https://{region}.affinda.com/v3/validation_results"
payload = {
"annotations": [1, 2, 3],
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>",
"passed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: [1, 2, 3],
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>',
passed: true
})
};
fetch('https://{region}.affinda.com/v3/validation_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
List of annotation ids that were validated
[1, 2, 3]
The kebab-case slug of the validation rule that was applied
^[a-z0-9][a-z0-9-]*[a-z0-9]$"supplier-name-is-alphanumeric"
Message explaining why the validation failed
"Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*"
Unique identifier for the document
Whether the validation passed or not, null if the validation was not applicable
true
Response
Successfully created a validation result.
Validation result arising from a ValidationRule
Validation Result's ID
x >= 11
List of annotation ids that were validated
[1, 2, 3]
Whether the validation passed or not, null if the validation was not applicable
true
The kebab-case slug of the validation rule that was applied
^[a-z0-9][a-z0-9-]*[a-z0-9]$"supplier-name-is-alphanumeric"
Message explaining why the validation failed
"Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*"
Unique identifier for the document
Was this page helpful?